summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Petar Petrov <slackalaxy@gmail.com>2018-02-16 21:05:36 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-02-17 07:42:47 +0700
commit19a57c0c92987300adcf0c40199a58d7a765504d (patch)
tree0f0123819d25377d3075d4b3950dd8d629131c93 /academic
parent979f6e65f702919230f12a74b14edb1bd98ae515 (diff)
downloadslackbuilds-19a57c0c92987300adcf0c40199a58d7a765504d.tar.gz
slackbuilds-19a57c0c92987300adcf0c40199a58d7a765504d.tar.xz
academic/aliview: Added (Alignment viewer and editor).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/aliview/README39
-rw-r--r--academic/aliview/aliview.SlackBuild82
-rw-r--r--academic/aliview/aliview.desktop7
-rw-r--r--academic/aliview/aliview.info10
-rw-r--r--academic/aliview/doinst.sh3
-rw-r--r--academic/aliview/slack-desc19
6 files changed, 160 insertions, 0 deletions
diff --git a/academic/aliview/README b/academic/aliview/README
new file mode 100644
index 0000000000..d9e65dc923
--- /dev/null
+++ b/academic/aliview/README
@@ -0,0 +1,39 @@
+AliView is yet another alignment viewer and editor, but this is
+probably one of the fastest and most intuitive to use. Features:
+
+- fast and light-weight
+- simple navigation, mouse-wheel zoom out and zoom in
+- highlight consensus characters or characters deviating
+- edit sequences/alignment (manually)
+- align, add and align automatically with any aligner of your choice
+- align new sequences to existing or realign all
+- realign a selected block
+- realign nucleotides as translated amino-acids
+- delete vertical gaps
+- undo/redo
+- find degenerate primers in conserved regions in an alignment
+- open and save in FASTA, NEXUS, PHYLIP, CLUSTAL or MSF format
+- print (current view)
+- export whole alignment as an image file (png-format)
+- copy selection (as fasta-sequences or just characters)
+- paste sequences (as sequences or filenames)
+- add more sequences from file
+- merge two sequences - and calculate consensus
+- translate (view) nucleotide sequences as amino-acid sequences
+- save translated alignment
+- read / preserve Codonpos, Charset and Excludes (Nexus-specification)
+- change Codonpos for selected regions (Nexus-specification)
+- drag-drop/remove of sequences/files
+- move sequences to top/bottom with key-stroke
+- a simple "external interface" that lets you invoke other programs
+- search function that finds patterns across gaps and follows IUPAC
+- search multiple sequence names at once (stored in clipboard)
+- reverse complement/reverse/complement sequences or whole alignment
+- different color schemes
+- sort sequences by name
+- sort sequences by residue in selected column
+
+Citation:
+Larsson, A. (2014). AliView: a fast and lightweight alignment viewer
+and editor for large data sets. Bioinformatics30(22): 3276-3278.
+http://dx.doi.org/10.1093/bioinformatics/btu531
diff --git a/academic/aliview/aliview.SlackBuild b/academic/aliview/aliview.SlackBuild
new file mode 100644
index 0000000000..12f023916d
--- /dev/null
+++ b/academic/aliview/aliview.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for aliview
+
+# Copyright 2018 Petar Petrov slackalaxy@gmail.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=aliview
+VERSION=${VERSION:-1.21}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+ARCH=noarch
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM.tgz
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Install the jar file of AliView
+mkdir -p $PKG/usr/share/$PRGNAM
+cp $PRGNAM.jar $PKG/usr/share/$PRGNAM
+
+# Install the wrapper provided by the author
+install -D -m755 $PRGNAM $PKG/usr/bin/$PRGNAM
+
+# Let's use our own .desktop file
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications
+cp aliicon_128x128.png $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a install.readme.txt README.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/aliview/aliview.desktop b/academic/aliview/aliview.desktop
new file mode 100644
index 0000000000..705345a204
--- /dev/null
+++ b/academic/aliview/aliview.desktop
@@ -0,0 +1,7 @@
+[Desktop Entry]
+Categories=Education;
+Exec=aliview
+Icon=aliview
+Name=AliView
+StartupNotify=false
+Type=Application
diff --git a/academic/aliview/aliview.info b/academic/aliview/aliview.info
new file mode 100644
index 0000000000..f4241366de
--- /dev/null
+++ b/academic/aliview/aliview.info
@@ -0,0 +1,10 @@
+PRGNAM="aliview"
+VERSION="1.21"
+HOMEPAGE="http://www.ormbunkar.se/aliview/"
+DOWNLOAD="http://www.ormbunkar.se/aliview/downloads/linux/linux-version-1.21/aliview.tgz"
+MD5SUM="9b04979a88a5cae94d9b1580e9aa2f7a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jdk"
+MAINTAINER="Petar Petrov"
+EMAIL="slackalaxy@gmail.com"
diff --git a/academic/aliview/doinst.sh b/academic/aliview/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/academic/aliview/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/academic/aliview/slack-desc b/academic/aliview/slack-desc
new file mode 100644
index 0000000000..6f9c46c189
--- /dev/null
+++ b/academic/aliview/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+aliview: aliview (Alignment viewer and editor)
+aliview:
+aliview: AliView is yet another alignment viewer and editor, but this is
+aliview: probably one of the fastest and most intuitive to use.
+aliview:
+aliview: http://www.ormbunkar.se/aliview/
+aliview:
+aliview:
+aliview:
+aliview:
+aliview: